import java.awt.Color;
/**
 * An object in the world.
 * 
 * @author Duta
 * @version 9/3/2013
 */
public abstract class WorldObject {
    private Color color;
    
    public WorldObject(Color color) {
        this.color = color;
    }
    
    public abstract Intersection getIntersection(Ray ray);
    
    public Color getColor() {
        return color;
    }
}
