/**
 * Represents an intersection.
 * 
 * @author Duta
 * @version 9/3/2013
 */
public class Intersection {
    private Vector point;
    private double distance;
    private Vector normal;
    private WorldObject object;
    
    public Intersection(Vector point, double distance, Vector normal, WorldObject object) {
        this.point = point;
        this.distance = distance;
        this.normal = normal;
        this.object = object;
    }
    
    public Vector getPoint() {
        return point;
    }
    
    public double getDistance() {
        return distance;
    }
    
    public Vector getNormal() {
        return normal;
    }
    
    public WorldObject getObject() {
        return object;
    }
}
